/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-07-29 19:13
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(int i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;


void solve(){
    int N;
    ll res;
    cin >> N;
    
    // Code goes here ...
    ll INF = 1 << 30;
    ll mindiff = INF;
    ll last, cur;
    cin >> last;
    while(--N){
        cin >> cur;
        mindiff = min(mindiff, cur - last);
        last = cur;
    }
    res = max((mindiff + 2) / 2, 0ll);

    cout << res << endl;
}

int main(){
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}

        
